%global gem_name hammer_cli_foreman_bootdisk
%global confdir hammer

Summary: Foreman boot disk commands for Hammer CLI
Name: rubygem-%{gem_name}
Version: 0.1.2.7
Release: 1%{?dist}
Group: Applications/System
License: GPLv3
URL: http://github.com/theforeman/hammer_cli_foreman_bootdisk
Source0: %{gem_name}-%{version}.gem
Source1: foreman_bootdisk.yml

%if 0%{?rhel} == 6
Requires: ruby(abi)
%else
Requires: ruby(release)
%endif

Requires: ruby(rubygems)
Requires: rubygem(hammer_cli_foreman) >= 0.1.2
BuildRequires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This Hammer CLI plugin contains set of commands for foreman_bootdisk, a plugin
to Foreman for ISO/USB booting support.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup  -n %{gem_name}-%{version} -T -c
mkdir -p .%{gem_dir}
%gem_install -n %{SOURCE0} 

%install
mkdir -p %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d/foreman_bootdisk.yml
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/locale
%config(noreplace) %{_sysconfdir}/%{confdir}/cli.modules.d/foreman_bootdisk.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_dir}/doc/%{gem_name}-%{version}
%doc %{gem_instdir}/README.md

%changelog
* Tue May 05 2015 Mike McCune <mmccune@redhat.com> 0.1.2.7-1
- Pull in final french strings from zanata (bkearney@redhat.com)

* Tue Apr 28 2015 Mike McCune <mmccune@redhat.com> 0.1.2.6-1
- Add in strings from zanata. All but french are done (bkearney@redhat.com)
- 98+ percent on all strings (bkearney@redhat.com)
- Extract strings, and add the zanata file (bkearney@redhat.com)

* Mon Mar 02 2015 Jason Montleon <jmontleo@redhat.com> 0.1.2.5-1
- update version (jmontleo@redhat.com)
- fixes #9538 - hcli-foreman-bootdisk couldn't load version
  (komidore64@gmail.com)

* Tue Jan 13 2015 Jason Montleon <jmontleo@redhat.com> 0.1.2.4-1
- install yml file from SOURCE1 (jmontleo@redhat.com)

* Tue Jan 13 2015 Jason Montleon <jmontleo@redhat.com> 0.1.2.3-1
- fix typo (jmontleo@redhat.com)

* Tue Jan 13 2015 Jason Montleon <jmontleo@redhat.com> 0.1.2.2-1
- add yml source file to rpm spec (jmontleo@redhat.com)

* Tue Jan 13 2015 Jason Montleon <jmontleo@redhat.com> 0.1.2.1-1
- update versioning (jmontleo@redhat.com)

* Fri Dec 12 2014 Jason Montleon <jmontleo@redhat.com> 0.1.2-1.1
- fix gem install source name (jmontleo@redhat.com)

* Fri Dec 12 2014 Jason Montleon <jmontleo@redhat.com> 0.1.2-1
- new package built with tito

* Wed Nov 05 2014 Dominic Cleal <dcleal@redhat.com> 0.1.2-1
- new package built with tito

